Debian Bug report logs - #517627
[hppa] Acenic driver without firmware triggers HPMC

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Thibaut VARENE <varenet@debian.org>

Date: Sun, 1 Mar 2009 00:51:02 UTC

Severity: important

Tags: upstream

Found in version linux-2.6/2.6.26-13

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-image-2.6.26-1-parisc64-smp. (Sun, 01 Mar 2009 00:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut VARENE <varenet@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Mar 2009 00:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thibaut VARENE <varenet@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.26-1-parisc64-smp: Acenic driver without firmware triggers HPMC
Date: Sun, 01 Mar 2009 01:48:32 +0100
Package: linux-image-2.6.26-1-parisc64-smp
Version: 2.6.26-13
Severity: important

Acenic driver is provided without firmware. When it's being loaded at boot time, it starts complaining that it can't find a firmware to load. Boot progreses for a little while and eventually when setting up networking, the box goes kaboom. Yay.

Relevant lspci output:
10:00.0 Ethernet controller: Alteon Networks Inc. AceNIC Gigabit Ethernet (rev 01)
	Subsystem: Hewlett-Packard Company Device 106f
	Flags: bus master, 66MHz, medium devsel, latency 128, IRQ 72
	Memory at fffffffff9000000 (32-bit, non-prefetchable) [size=16K]
	Kernel driver in use: acenic

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: hppa (parisc64)

Kernel: Linux 2.6.22.19 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-parisc64-smp depends on:
ii  debconf [debconf-2.0]         1.5.25     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93       tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-1-parisc64-smp recommends no packages.

Versions of packages linux-image-2.6.26-1-parisc64-smp suggests:
pn  linux-doc-2.6.26              <none>     (no description available)
ii  palo                          1.16+nmu1  Linux boot loader for parisc/hppa

-- debconf information:
  linux-image-2.6.26-1-parisc64-smp/preinst/lilo-initrd-2.6.26-1-parisc64-smp: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-parisc64-smp/postinst/old-dir-initrd-link-2.6.26-1-parisc64-smp: true
  linux-image-2.6.26-1-parisc64-smp/postinst/old-system-map-link-2.6.26-1-parisc64-smp: true
  linux-image-2.6.26-1-parisc64-smp/preinst/abort-install-2.6.26-1-parisc64-smp:
  linux-image-2.6.26-1-parisc64-smp/postinst/create-kimage-link-2.6.26-1-parisc64-smp: true
  linux-image-2.6.26-1-parisc64-smp/postinst/bootloader-test-error-2.6.26-1-parisc64-smp:
  linux-image-2.6.26-1-parisc64-smp/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-parisc64-smp/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-parisc64-smp/preinst/elilo-initrd-2.6.26-1-parisc64-smp: true
* linux-image-2.6.26-1-parisc64-smp/preinst/bootloader-initrd-2.6.26-1-parisc64-smp: false
  linux-image-2.6.26-1-parisc64-smp/preinst/failed-to-move-modules-2.6.26-1-parisc64-smp:
  linux-image-2.6.26-1-parisc64-smp/postinst/bootloader-error-2.6.26-1-parisc64-smp:
  linux-image-2.6.26-1-parisc64-smp/prerm/removing-running-kernel-2.6.26-1-parisc64-smp: true
  linux-image-2.6.26-1-parisc64-smp/postinst/depmod-error-2.6.26-1-parisc64-smp: false
  linux-image-2.6.26-1-parisc64-smp/postinst/depmod-error-initrd-2.6.26-1-parisc64-smp: false
  linux-image-2.6.26-1-parisc64-smp/preinst/already-running-this-2.6.26-1-parisc64-smp:
  linux-image-2.6.26-1-parisc64-smp/preinst/overwriting-modules-2.6.26-1-parisc64-smp: true
  linux-image-2.6.26-1-parisc64-smp/prerm/would-invalidate-boot-loader-2.6.26-1-parisc64-smp: true
  linux-image-2.6.26-1-parisc64-smp/postinst/old-initrd-link-2.6.26-1-parisc64-smp: true
  linux-image-2.6.26-1-parisc64-smp/preinst/abort-overwrite-2.6.26-1-parisc64-smp:
  linux-image-2.6.26-1-parisc64-smp/preinst/initrd-2.6.26-1-parisc64-smp:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-image-2.6.26-1-parisc64-smp. (Sun, 01 Mar 2009 13:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Mar 2009 13:12:02 GMT) Full text and rfc822 format available.

Message #10 received at 517627@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Thibaut VARENE <varenet@debian.org>, 517627@bugs.debian.org
Subject: Re: Bug#517627: linux-image-2.6.26-1-parisc64-smp: Acenic driver without firmware triggers HPMC
Date: Sun, 01 Mar 2009 13:10:29 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2009-03-01 at 01:48 +0100, Thibaut VARENE wrote:
> Package: linux-image-2.6.26-1-parisc64-smp
> Version: 2.6.26-13
> Severity: important
> 
> Acenic driver is provided without firmware. When it's being loaded at
> boot time, it starts complaining that it can't find a firmware to
> load. Boot progreses for a little while and eventually when setting up
> networking, the box goes kaboom. Yay.

Can you be more specific?

Meanwhile, I should see about adding the firmware to firmware-nonfree.

Ben.

[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 01 Mar 2009 13:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-image-2.6.26-1-parisc64-smp. (Sun, 01 Mar 2009 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut VARÈNE <varenet@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Mar 2009 14:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 517627@bugs.debian.org (full text, mbox):

From: Thibaut VARÈNE <varenet@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 517627@bugs.debian.org
Subject: Re: Bug#517627: linux-image-2.6.26-1-parisc64-smp: Acenic driver without firmware triggers HPMC
Date: Sun, 1 Mar 2009 15:31:53 +0100
Le 1 mars 09 à 14:10, Ben Hutchings a écrit :

> On Sun, 2009-03-01 at 01:48 +0100, Thibaut VARENE wrote:
>> Package: linux-image-2.6.26-1-parisc64-smp
>> Version: 2.6.26-13
>> Severity: important
>>
>> Acenic driver is provided without firmware. When it's being loaded at
>> boot time, it starts complaining that it can't find a firmware to
>> load. Boot progreses for a little while and eventually when setting  
>> up
>> networking, the box goes kaboom. Yay.
>
> Can you be more specific?

Actually it's not an HPMC, it's a plain panic, and jumbo frames  
support seems to be the cause. Tried with jumbo frames disabled, the  
box didn't panic but the network didn't come up either, i.e.  
completely useless driver. Output somewhat garbled by serial console,  
tried to reconstruct it as best as I could.

[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.26-1-parisc64-smp (Debian 2.6.26-13) (waldi@debian.org 
) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-24)) #1 SMP  
Sat Jan 10 22:22:56 UTC 2009
[    0.000000] FP[0] enabled: Rev 1 Model 16
[    0.000000] The 64-bit Kernel has started...
[    0.000000] console [ttyB0] enabled
[    0.000000] Initialized PDC Console for debugging.
[    0.000000] Determining PDC firmware type: 64 bit PAT.
[    0.000000] model 00005d50 00000491 00000000 00000001 5cbb53d8  
100000f0 00000008 000000b2 000000b2
[    0.000000] vers  00000301
[    0.000000] CPUID vers 18 rev 11 (0x0000024b)
[    0.000000] capabilities 0x1
[    0.000000] model 9000/800/A500-5X
[    0.000000] Memory Ranges:
[    0.000000]  0) Start 0x0000000000000000 End 0x00000000efffffff  
Size   3840 MB
[    0.000000]  1) Start 0x00000010f0000000 End 0x00000010ffffffff  
Size    256 MB
[    0.000000] Total Memory: 4096 MB
[    0.000000] initrd: 7f98c000-7ffede3d
[    0.000000] initrd: reserving 3f98c000-3ffede3d (mem_max 100000000)
[    0.000000] SMP: bootstrap CPU ID is 0
[    0.000000] Built 2 zonelists in Zone order, mobility grouping on.   
Total pages: 1034240
[    0.000000] Kernel command line:  root=/dev/sda5 console=ttyS0  
TERM=vt102 palo_kernel=2/vmlinux26
[    0.000000] PID hash table entries: 4096 (order: 12, 32768 bytes)
[17179569.184000] Console: colour dummy device 160x64
[17179569.212000] Dentry cache hash table entries: 524288 (order: 10,  
4194304 bytes)
[17179569.244000] Inode-cache hash table entries: 262144 (order: 9,  
2097152 bytes)
[17179569.652000] Memory: 4109824k/4194304k available (2820k kernel  
code, 83880k reserved, 1287k data, 292k init)
[17179569.660000] virtual kernel memory layout:
[17179569.660000]     vmalloc : 0x0000000000008000 -  
0x000000003f000000   (1007 MB)
[17179569.660000]     memory  : 0x0000000040000000 -  
0x0000001140000000   (69632 MB)
[17179569.660000]       .init : 0x00000000405dc000 -  
0x0000000040625000   ( 292 kB)
[17179569.660000]       .data : 0x00000000403c1160 -  
0x0000000040503000   (1287 kB)
[17179569.660000]       .text : 0x0000000040100000 -  
0x00000000403c1160   (2820 kB)
[17179570.072000] Security Framework initialized
[17179570.076000] SELinux:  Disabled at boot.
[17179570.080000] Capability LSM initialized
[17179570.080000] Mount-cache hash table entries: 256
[17179570.124000] Initializing cgroup subsys ns
[17179570.144000] Initializing cgroup subsys cpuacct
[17179570.148000] Initializing cgroup subsys devices
[17179570.152000] Brought up 1 CPUs
[17179570.384000] net_namespace: 1216 bytes
[17179570.400000] NET: Registered protocol family 16
[17179570.420000] EISA bus registered
[17179570.520000] Searching for devices...
[17179570.828000] Found devices:
[17179570.832000] 1. Crescendo 550 at 0xfffffffffffa0000 [160] { 0,  
0x0, 0x5d5, 0x00004 }
[17179570.836000] 2. Crescendo 550 at 0xfffffffffffa2000 [162] { 0,  
0x0, 0x5d5, 0x00004 }
[17179570.844000] 3. Memory at 0xfffffffffed08000 [8] { 1, 0x0, 0x09b,  
0x00009 }
[17179570.852000] 4. Astro BC Runway Port at 0xfffffffffed00000 [0]  
{ 12, 0x0, 0x582, 0x0000b }
[17179570.860000] 5. Elroy PCI Bridge at 0xfffffffffed30000 [0/0]  
{ 13, 0x0, 0x782, 0x0000a }
[17179571.096000] 6. Elroy PCI Bridge at 0xfffffffffed34000 [0/2]  
{ 13, 0x0, 0x782, 0x0000a }
[17179571.100000] 7. Elroy PCI Bridge at 0xfffffffffed38000 [0/4]  
{ 13, 0x0, 0x782, 0x0000a }
[17179571.108000] 8. Elroy PCI Bridge at 0xfffffffffed3c000 [0/6]  
{ 13, 0x0, 0x782, 0x0000a }
[17179571.116000] Enabling PDC_PAT chassis codes support v0.05

[snip - serial console garbage]

[17179574.112000] Freeing initrd memory: 6535k freed
[17179574.120000] Chassis warnings not supported.
[17179574.140000] unwind_init: start = 0x4044d0e4, end = 0x40476444,  
entries = 10550
[17179574.148000] Performance monitoring counters enabled for  
Crescendo 550
[17179574.180000] audit: initializing netlink socket (disabled)
[17179574.212000] type=2000 audit(1235915309.798:1): initialized
[17179574.236000] VFS: Disk quotas dquot_6.5.1
[17179574.256000] Dquot-cache hash table entries: 512 (order 0, 4096  
bytes)
[17179574.280000] msgmni has been set to 8040
[17179574.300000] Block layer SCSI generic (bsg) driver version 0.4  
loaded (major 254)
[17179574.324000] io scheduler noop registered
[17179574.328000] io scheduler anticipatory registered
[17179574.368000] io scheduler deadline registered
[17179574.388000] io scheduler cfq registered (default)
[17179574.408000] PDC Stable Storage facility v0.30
[17179575.012000] STI GSC/PCI core graphics driver Version 0.9a
[17179575.032000] Generic RTC Driver v1.07
[17179575.048000] Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports,  
IRQ sharing enabled
[17179575.072000] serial 0000:00:04.0: enabling device (0146 -> 0147)
[17179575.096000] 0000:00:04.0: ttyS0 at MMIO 0xfffffffff8000000 (irq  
= 70) is a 16550A
[17179575.120000] console handover: boot [ttyB0] -> real [ttyS0]
[17179575.144000] 0000:00:04.0: ttyS1 at MMIO 0xfffffffff8000008 (irq  
= 70) is a 16550A
[17179575.184000] 0000:00:04.0: ttyS2 at MMIO 0xfffffffff8000010 (irq  
= 70) is a 16550A
[17179575.212000] serial 0000:00:05.0: enabling device (0000 -> 0003)
[17179575.236000] serial 0000:00:05.0: enabling SERR and PARITY (0003 - 
> 0143)
[17179575.308000] 0000:00:05.0: ttyS3 at MMIO 0xfffffffff8005000 (irq  
= 71) is a 16550A
[17179575.332000] Couldn't register serial port 0000:00:05.0: -28
[17179575.456000] brd: module loaded
[17179575.584000] mice: PS/2 mouse device common for all mice
[17179575.604000] TCP cubic registered
[17179575.624000] NET: Registered protocol family 17
[17179575.628000] registered taskstats version 1
[17179575.728000] Freeing unused kernel memory: <0>------------[ cut  
here ]------------
[17179575.884000] Badness at arch/parisc/kernel/smp.c:323
[17179575.892000]
[17179575.892000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
[17179575.896000] PSW: 00001000000001101111111100001110 Not tainted
[17179575.904000] r00-03  000000ff0806ff0e 00000000405d06a0  
000000004012550c 00000000405b0f20
[17179575.908000] r04-07  00000000405c96a0 000000004047f970  
0000000000000000 0000000000000001
[17179575.916000] r08-11  000001 0000000000000000 000000000804000e  
0000000000000000
[17179576.300000] r12-15  000000012fc5eb18 00000000401692c0  
00000000000000f0 00000000000000ff
[17179576.308000] r16-19  00000000f00003b0 00000000f000024c  
00000000f0002b4c 0f0f0f0f0f0f0f0f
[17179576.316000] r20-23  0000000000000000 0000000040625000  
00000000405c6020 0000000000000001
[17179576.324000] r24-27  0000000000000001 0000000000000000  
0000000000000003 00000000405c96a0
[17179576.344000800000e 000000012fc604c0 000000012fc604f0  
0000000000000000
[17179576.864000] sr00-03  0000000000000000 0000000000000000  
0000000000000000 0000000000000000
[17179576.872000] sr04-07  0000000000000000 0000000000000000  
0000000000000000 0000000000000000
[17179576.880000]
[17179576.880000] IASQ: 0000000000000000 0000000000000000 IAOQ:  
000000004012551c 0000000040125520
[17179576.888000]  IIR: 03ffe01f    ISR: 0000000000000000  IOR:  
00000000000000577.192000]  CPU:        0   CR30: 000000012fc60000  
CR31: 000000004065c000
[17179577.288000]  ORIG_R28: ffffffffffffffff
[17179577.292000]  IAOQ[0]: smp_call_function+0x5c/0x348
[17179577.296000]  IAOQ[1]: smp_call_function+0x60/0x348
[17179577.300000]  RP(r2): smp_call_function+0x4c/0x348
[17179577.304000] Backtrace:
[17179577.308000]  [<0000000040154610>] on_each_cpu+0x28/0x68
[17179577.312000]  [<0000000040119fd8>] flush_data_cache+0x280000]   
[<0000000040119290>] free_initmem+0x68/0x2d0
[17179577.848000]  [<00000000401187e0>] init_post+0x18/0x1a8
[17179577.856000]  [<00000000405dca1c>] kernel_init+0x444/0x478
[17179577.860000]

[again]

17179579.456000] SCSI subsystem initialized
[17179579.504000] sym53c8xx 0000:00:01.0: enabling device (0000 -> 0003)
[17179579.512000] sym53c8xx 0000:00:01.0: enabling SERR and PARITY  
(0003 -> 0143)
[17179579.592000] sym0: <896> rev 0x7 at pci 0000:00:01.0 irq 67
[17179579.600000] Linux Tulip driver version 1.1.15-NAPI (Feb 27, 2007)
[17179579.632000] sym0: PA-RISC Firmware, ID 7, Fast-40, LVD, parity  
checking
[17179579.656000] sym0: SCSI BUS has been reset.
[17179579.672000] scsi0 : sym-2.2.3
[17179579.688000] tulip 0000:00:00.0: enabling device (0140 -> 0143)
[17179579.708000] tulip0: no phy info, aborting mtable build
[17179579.732000] tulip0:  MII transceiver #1 config 1000 status 782d  
advertising 0061.
[17179579.764000] eth0: Digital DS21142/43 Tulip rev 65 at MMIO  
0xfffffffff8006000, 00:30:6e:0c:8a:8f, IRQ 66.
[17179579.784000] sym53c8xx 0000:00:01.1: enabling device (0146 -> 0147)
[17179579.860000] sym1: <896> rev 0x7 at pci 0000:00:01.1 irq 68
[17179579.868000] sym1: PA-RISC Firmware, ID 7, Fast-40, SE, parity  
checking
[17179580.008000] sym1: SCSI BUS has been reset.
[17179580.024000] sym1: SCSI BUS mode change from SE to SE.
[17179580.024000] scsi1 : sym-2.2.3
[17179580.148000] sym1: SCSI BUS has been reset.
[17179580.172000] sym53c8xx 0000:00:02.0: enabling device (0000 -> 0003)
[17179580.284000] sym53c8xx 0000:00:02.0: enabling SERR and PARITY  
(0003 -> 0143)
[17179580.356000] sym2: <875> rev 0x14 at pci 0000:00:02.0 irq 68
[17179580.512000] sym2: PA-RISC Firmware, ID 7, Fast-20, SE, parity  
checking
[17179580.524000] sym2: SCSI BUS has been reset.
[17179580.564000] scsi2 : sym-2.2.3
[17179580.568000] sym53c8xx 0000:00:02.1: enabling device (0000 -> 0003)
[17179580.704000] sym53c8xx 0000:00:02.1: enabling SERR and PARITY  
(0003 -> 0143)
[17179580.780000] sym3: <875> rev 0x14 at pci 0000:00:02.1 irq 69
[17179580.932000] sym3: PA-RISC Firmware, ID 7, Fast-20, SE, parity  
checking
[17179580.996000] sym3: SCSI BUS has been reset.
[17179581.008000] scsi3 : sym-2.2.3
[17179581.040000] udev: renamed network interface eth0 to eth1
done.
Begin: Mounting root file system ... Begin: Running /scripts/local- 
top ... done.
Begin: Waiting for root file system ... [17179587.788000] scsi  
1:0:15:0: Direct-Access     SEAGATE  ST39103LC        HP02 PQ: 0 ANSI: 2
[17179587.796000]  target1:0:15: tagged command queuing enabled,  
command queue depth 16.
[17179587.828000]  target1:0:15: Beginning Domain Validation
[17179587.852000]  target1:0:15: asynchronous
[17179587.880000]  target1:0:15: wide asynchronous
[17179587.896000]  target1:0:15: FAST-20 WIDE SCSI 40.0 MB/s ST (50  
ns, offset 15)
[17179587.916000]  target1:0:15: Domain Validation skipping write tests
[17179587.952000]  target1:0:15: Ending Domain Validation
[17179588.032000] Driver 'sd' needs updating - please use bus_type  
methods
[17179588.048000] sd 1:0:15:0: [sda] 17783112 512-byte hardware  
sectors (9105 MB)
[17179588.064000] sd 1:0:15:0: [sda] Write Protect is off
[17179588.100000] sd 1:0:15:0: [sda] Write cache: enabled, read cache:  
enabled, supports DPO and FUA
[17179588.124000] sd 1:0:15:0: [sda] 17783112 512-byte hardware  
sectors (9105 MB)
[17179588.228000] scsi 3:0:15:0: Direct-Access     HP 73.4G  
ST373453LC       HPC4 PQ: 0 ANSI: 3
[17179588.228000] sd 1:0:15:0: [sda] Write Protect is off
[17179588.228000] sd 1:0:15:0: [sda] Write cache: enabled, read cache:  
enabled, supports DPO and FUA
[17179588.228000]  sda: sda1 sda2 sda3 sda4 < sda5 >
[17179588.268000:0:15: tagged command queuing enabled, command queue  
depth 16.
[17179588.268000] sd 1:0:15:0: [sda] Attached SCSI disk
[17179588.656000]  target3:0:15: Beginning Domain Validation
[17179588.788000]  target3:0:15: asynchronous
[17179588.816000]  target3:0:15: wide asynchronous
[17179588.932000]  target3:0:15: FAST-20 WIDE SCSI 40.0 MB/s ST (50  
ns, offset 16)
[17179588.952000]  target3:0:15: Domain Validation skipping write tests
[17179589.068000]  target3:0:15: Ending Domain Validation
[17179589.108000] sd 3:0:15:0: [sdb] 143374738 512-byte hardware  
sectors (73408 MB)
[17179589.228000] sd 3:0:15:0: [sdb] Write Protect is off
[17179589.236000] sd 3:0:15:0: [sdb] Write cache: enabled, read cache:  
enabled, supports DPO and FUA
[17179589.364000] sd 3:0:15:0: [sdb] 143374738 512-byte hardware  
sectors (73408 MB)
[17179589.496000] sd 3:0:15:0: [sdb] Write Protect is off
[17179589.520000] sd 3:0:15:0: [sdb] Write cache: enabled, read cache:  
enabled, supports DPO and FUA
[17179589.632000]  sdb: sdb1
[17179589.784000] sd 3:0:15:0: [sdb] Attached SCSI disk
done.
Begin: Running /scripts/local-premount ... done.
[17179590.364000] kjournald starting.  Commit interval 5 seconds
[17179590.368000] EXT3-fs: mounted filesystem with ordered data mode.
Begin: Running /scripts/local-bottom ... done.
done.
Begin: Running /scripts/init-bottom ... done.
INIT: version 2.86 booting
Setting hostname to 'mkhppa3'...done.
Starting the hotplug events dispatcher: done.
Waiting for /dev to be fully populated...
acenic: v0.92 08/05/2002  Jes Sorensen, linux-acenic@SunSITE.dk
[17179651.420000]                             http://home.cern.ch/~jes/gige/acenic.html
[17179651.816000] acenic 0000:10:00.0: enabling device (0000 -> 0002)
[17179651.944000] acenic 0000:10:00.0: enabling SERR and PARITY (0002 - 
> 0142)
[17179651.952000] 0000:10:00.0: Alteon AceNIC Ethernet at  
0xfffffffff9000000,  irq 72
[17179652.236000]   Tigon II (Rev. 6), Firmware: 0.0.0, 40:30:6e: 
04:80:68
[17179652.360000]   PCI bus width: 64 bits, speed: 66MHz, latency: 128  
clks
[17179652.368000] firmware: requesting acenic_tg2.bin
[17179652.620000] 0000:10:00.0: Failed to load firmware "acenic_tg2.bin"
Setting parameters of disc: (none).
Setting the system clock.
System Clock set to: Sun Mar  1 13:49:52 UTC 2009.
Activating swap:swapon on /dev/sda3
[17179656.808000] Adding 976888k swap on /dev/sda3.  Priority:-1  
extents:1 across:976888k
.
Will now check root file system:fsck 1.41.3 (12-Oct-2008)
[/sbin/fsck.ext3 (1) -- /] fsck.ext3 -a -C0 /dev/sda5
/dev/sda5: clean, 122072/963840 files, 605175/1939452 blocks
.
[17179657.216000] EXT3 FS on sda5, internal journal
Setting the system clock.
System Clock set to: Sun Mar  1 13:49:54 UTC 2009.
Cleaning up ifupdown....
Loading device-mapper support[17179659.644000] device-mapper: uevent:  
version 1.0.3
[17179659.652000] device-mapper: ioctl: 4.13.0-ioctl (2007-10-18)  
initialised: dm-devel@redhat.com
.
Will now check all file systems.
fsck 1.41.3 (12-Oct-2008)
Checking all file systems.
[/sbin/fsck.reiserfs (1) -- /home] fsck.reiserfs -a /dev/sdb1
[/sbin/fsck.ext3 (2) -- /boot] fsck.ext3 -a -C0 /dev/sda2
/dev/sda2: clean, 38/31232 files, 85213/124928 blocks
Replaying journal..
Reiserfs journal '/dev/sdb1' in blocks [18..8211]: 0 transactions  
replayed
Checking internal tree..finished
home: Reiserfs super block in block 16 on 0x7efefeff of format 3.6  
with standard journal
Blocks (total/free): 17920496/17066277 by 4096 bytes
Filesystem is clean
home: Reiserfs super block in block 16 on 0x7efefeff of format 3.6  
with standard journal
Blocks (total/free): 17920496/17066277 by 4096 bytes
Filesystem is clean
Done checking file systems. A log is being saved in /var/log/fsck/ 
checkfs if that location is writable..
Setting kernel variables (/etc/sysctl.conf)...done.
Will now mount local filesystems:[17179669.716000] ReiserFS: sdb1:  
found reiserfs format "3.6" with standard journal
[17179669.724000] ReiserFS: sdb1: using ordered data mode
[17179669.760000] ReiserFS: sdb1: journal params: device sdb1, size  
8192, journal first block 18, max trans len 1024, max batch 900, max  
commit age 30, max trans age 30
[17179669.788000] ReiserFS: sdb1: checking transaction log (sdb1)
[17179669.824000] ReiserFS: sdb1: Using r5 hash to sort names
[17179669.884000] kjournald starting.  Commit interval 5 seconds
[17179669.888000] EXT3-fs: mounted filesystem with ordered data mode.
.
Will now activate swapfile swap:done.
Cleaning /tmp...done.
Cleaning /var/run...done.
Cleaning /var/lock...done.
Checking minimum space in /tmp...done.
Setting up networking....
Configuring network interfaces...[17179672.028000] eth0: Firmware not  
running!
SIOCSIFFLAGS: De[17179672.036000] eth0: Enabling Jumbo frame support
vice or resource busy
[17179672.056000] Backtrace:
[17179672.056000]  [<0000000008119d68>] ace_change_mtu+0xf8/0x228  
[acenic]
[17179672.056000]  [<0000000040330f40>] dev_set_mtu+0x50/0xa0
[17179672.056000]  [<00000000403322ec>] dev_ifsioc+0xe4/0x308
[17179672.056000]  [<0000000040332c70>] dev_ioctl+0x760/0x890
[17179672.056000]  [<000000004031db54>] sock_ioctl+0x31c/0x340
[17179672.056000]  [<00000000401dd44c>] vfs_ioctl+0x4c/0xe0
[17179672.056000]  [<00000000401dd868>] do_vfs_ioctl+0x388/0x3c0
[17179672.056000]  [<00000000401dd930>] sys_ioctl+0x90/0xd8
[17179672.056000]  [<0000000040216228>] dev_ifsioc+0x1d8/0x410
[17179672.056000]  [<0000000040215bc8>] compat_sys_ioctl+0x3e8/0x480
[17179672.056000]  [<0000000040104ef8>] syscall_exit+0x0/0x14
[17179672.056000]
[17179672.056000]
[17179672.056000] Kernel Fault: Code=26 regs=000000012eb50970  
(Addr=0000000000000004)
[17179672.056000]
[17179672.056000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
[17179672.056000] PSW: 00001000000001101111111100001111 Tainted:  
G        W
[17179672.056000] r00-03  000000ff0806ff0f 00000000405caea0  
0000000008118048 000000012fd15580
[17179672.056000] r04-07  0000000008113000 0000000000004000  
00000000405af000 000000012f4e9680
[17179672.056000] r08-11  0000000000000000 0000000008108000  
0000000000000000 0000000000000030
[17179672.056000] r12-15  0000000000020dfc 0000000000021108  
0000000000020a7c 000000000001d480
[17179672.056000] r16-19  000000000001d488 000000000001d498  
0000000000021860 0000000000000000
[17179672.056000] r20-23  0000000000007000 0000000040565198  
ffffffffc0000000 0000000000100000
[17179672.056000] r24-27  00000000000036d0 000000000800000f  
000000012fcc04e0 0000000008113000
[17179672.056000] r28-31  00000000036d0002 000000012eb509f0  
000000012eb50970 0000000000000000
[17179672.056000] sr00-03  0000000000317800 0000000000000000  
0000000000000000 0000000000317800
[17179672.056000] sr04-07  0000000000000000 0000000000000000  
0000000000000000 0000000000000000
[17179672.056000]
[17179672.056000] IASQ: 0000000000000000 0000000000000000 IAOQ:  
0000000008118080 0000000008118084
[17179672.056000]  IIR: 0ffc1288    ISR: 0000000000000000  IOR:  
0000000000000004
[17179672.056000]  CPU:        0   CR30: 000000012eb50000 CR31:  
000000004065c000
[17179672.056000]  ORIG_R28: 00000000000000f0
[17179672.056000]  IAOQ[0]: ace_load_jumbo_rx_ring+0x210/0x3e0 [acenic]
[17179672.056000]  IAOQ[1]: ace_load_jumbo_rx_ring+0x214/0x3e0 [acenic]
[17179672.056000]  RP(r2): ace_load_jumbo_rx_ring+0x1d8/0x3e0 [acenic]
[17179672.056000] Backtrace:
[17179672.056000]  [<0000000008119d68>] ace_change_mtu+0xf8/0x228  
[acenic]
[17179672.056000]  [<0000000040330f40>] dev_set_mtu+0x50/0xa0
[17179672.056000]  [<00000000403322ec>] dev_ifsioc+0xe4/0x308
[17179672.056000]  [<0000000040332c70>] dev_ioctl+0x760/0x890
[17179672.056000]  [<000000004031db54>] sock_ioctl+0x31c/0x340
[17179672.056000]  [<00000000401dd44c>] vfs_ioctl+0x4c/0xe0
[17179672.056000]  [<00000000401dd868>] do_vfs_ioctl+0x388/0x3c0
[17179672.056000]  [<00000000401dd930>] sys_ioctl+0x90/0xd8
[17179672.056000]  [<0000000040216228>] dev_ifsioc+0x1d8/0x410
[17179672.056000]  [<0000000040215bc8>] compat_sys_ioctl+0x3e8/0x480
[17179672.056000]  [<0000000040104ef8>] syscall_exit+0x0/0x14
[17179672.056000]
[17179672.056000] Kernel panic - not syncing: Kernel Fault




********** VIRTUAL FRONT PANEL **********
System Boot detected
*****************************************
LEDs:  RUN      ATTENTION     FAULT     REMOTE     POWER
       ON       FLASH         FLASH     ON         ON
LED State: System Running.  Unexpected Reboot.  Non-critical Error  
Detected.
Check Chassis and Console Logs for error messages.

processor                 system panic               1B00

*****************************************

************ EARLY BOOT VFP *************
End of early boot detected
*****************************************

********** VIRTUAL FRONT PANEL **********
System Boot detected
*****************************************
LEDs:  RUN      ATTENTION     FAULT     REMOTE     POWER
       ON       FLASH         FLASH     ON         ON
LED State: System Running.  Unexpected Reboot.  Non-critical Error  
Detected.
Check Chassis and Console Logs for error messages.

processor                 system panic               1B00


With jumb disabled:

Configuring network interfaces...[17179671.856000] eth0: Firmware not  
running!
SIOCSIFFLAGS: De[17179671.864000] eth0: Firmware not running!
vice or resource busy
SIOCSIFFLAGS: Device or resource busy
Failed to bring up eth0.
done.


-- 
Thibaut VARÈNE
http://www.parisc-linux.org/~varenet/





Bug reassigned from package 'linux-image-2.6.26-1-parisc64-smp' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 12 Feb 2010 00:39:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-13. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 12 Feb 2010 00:39:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-2.6. (Mon, 15 Feb 2010 00:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Feb 2010 00:45:07 GMT) Full text and rfc822 format available.

Message #26 received at 517627@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Thibaut VARENE <varenet@debian.org>, 517627@bugs.debian.org
Subject: Re: Bug#517627: linux-image-2.6.26-1-parisc64-smp: Acenic driver without firmware triggers HPMC
Date: Mon, 15 Feb 2010 01:43:27 +0100
On Sun, Mar 01, 2009 at 01:10:29PM +0000, Ben Hutchings wrote:
> On Sun, 2009-03-01 at 01:48 +0100, Thibaut VARENE wrote:
> > Package: linux-image-2.6.26-1-parisc64-smp
> > Version: 2.6.26-13
> > Severity: important
> > 
> > Acenic driver is provided without firmware. When it's being loaded at
> > boot time, it starts complaining that it can't find a firmware to
> > load. Boot progreses for a little while and eventually when setting up
> > networking, the box goes kaboom. Yay.
> 
> Can you be more specific?
> 
> Meanwhile, I should see about adding the firmware to firmware-nonfree.

This doesn't seem to have happened yet, did the firmware turn out to
be non-distributable?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-2.6. (Mon, 15 Feb 2010 01:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Feb 2010 01:21:05 GMT) Full text and rfc822 format available.

Message #31 received at 517627@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Thibaut VARENE <varenet@debian.org>, 517627@bugs.debian.org
Subject: Re: Bug#517627: linux-image-2.6.26-1-parisc64-smp: Acenic driver without firmware triggers HPMC
Date: Mon, 15 Feb 2010 01:18:12 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2010-02-15 at 01:43 +0100, Moritz Muehlenhoff wrote:
> On Sun, Mar 01, 2009 at 01:10:29PM +0000, Ben Hutchings wrote:
> > On Sun, 2009-03-01 at 01:48 +0100, Thibaut VARENE wrote:
> > > Package: linux-image-2.6.26-1-parisc64-smp
> > > Version: 2.6.26-13
> > > Severity: important
> > > 
> > > Acenic driver is provided without firmware. When it's being loaded at
> > > boot time, it starts complaining that it can't find a firmware to
> > > load. Boot progreses for a little while and eventually when setting up
> > > networking, the box goes kaboom. Yay.
> > 
> > Can you be more specific?
> > 
> > Meanwhile, I should see about adding the firmware to firmware-nonfree.
> 
> This doesn't seem to have happened yet, did the firmware turn out to
> be non-distributable?

The information provided by upstream is:
> Driver: acenic -- Alteon AceNIC Gigabit Ethernet card
> 
> File: acenic/tg1.bin
> File: acenic/tg2.bin
> 
> Licence: Unknown
> 
> Found in hex form in kernel source, but source allegedly available at
> http://alteon.shareable.org/

The essential subdirectories of <http://alteon.shareable.org/> are
currently inaccessible, but this is probably a misconfiguration.  I'll
try emailing the site owner.

Ben.

-- 
Ben Hutchings
It is easier to change the specification to fit the program than vice versa.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-2.6. (Mon, 15 Feb 2010 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Feb 2010 01:24:03 GMT) Full text and rfc822 format available.

Message #36 received at 517627@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jamie Lokier <jamie@shAreable.org>
Cc: 517627@bugs.debian.org
Subject: Alteon NIC firmware
Date: Mon, 15 Feb 2010 01:22:03 +0000
[Message part 1 (text/plain, inline)]
Jamie,

You appear to be hosting the Alteon NIC firmware source and tools at
<http://alteon.shareable.org/>, but links to those subdirectories yield
'Forbidden' error pages.

Is there a reason why these are not available, or is this accidental?

Ben.

-- 
Ben Hutchings
It is easier to change the specification to fit the program than vice versa.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-2.6. (Wed, 21 Apr 2010 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Lokier <jamie@shareable.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 21 Apr 2010 09:21:03 GMT) Full text and rfc822 format available.

Message #41 received at 517627@bugs.debian.org (full text, mbox):

From: Jamie Lokier <jamie@shareable.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 517627@bugs.debian.org
Subject: Re: Alteon NIC firmware
Date: Wed, 21 Apr 2010 09:53:37 +0100
Ben Hutchings wrote:
> Jamie,
> 
> You appear to be hosting the Alteon NIC firmware source and tools at
> <http://alteon.shareable.org/>, but links to those subdirectories yield
> 'Forbidden' error pages.
> 
> Is there a reason why these are not available, or is this accidental?

A configuration accident as you correctly guessed.

Indexing was turned off.  They are all readable now.

If you build the firmware from the last source version, using the
Linux-hosted GCC 2.95 (needing "firmware.patch"), it even runs a bit
faster than the original Acenic binary :-) Somehow I never got around
to submitting my version to the kernel.  Don't ask me to revisit it now.

The tools etc. were originally collected for a custom firmware
projects (it was a popular board for that), and I decided to host them
because Alteon were shutting down, and as a general principle of
keeping source around.

I'm not sure if the license would satisfy DFSG.  It's pretty open as
these things go.  Lots of people hacked this chip, Tigon2, in
interesting ways because of it's relatively unique openness at the
time, and were disappointed when its successor, the Tigon3, wasn't
open at all.  It is quite a versatile dual-CPU gigE chip.

I wrote on the top-level index "Look at the source files yourself to
understand any licensing restrictions on their use.  Alteon's license
may be summarised like this: you may share and develop the firmware,
but it is only for use with Alteon NIC products."  That last bit might
refer to just advice, or a DFSG-incompatible restriction, I don't
remember which.

If it breaks you get to keep both pieces :-)
-- Jamie




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-2.6. (Mon, 03 May 2010 14:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 03 May 2010 14:45:08 GMT) Full text and rfc822 format available.

Message #46 received at 517627@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jamie Lokier <jamie@shareable.org>
Cc: 517627@bugs.debian.org
Subject: Re: Alteon NIC firmware
Date: Mon, 03 May 2010 15:43:43 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-04-21 at 09:53 +0100, Jamie Lokier wrote:
> Ben Hutchings wrote:
> > Jamie,
> > 
> > You appear to be hosting the Alteon NIC firmware source and tools at
> > <http://alteon.shareable.org/>, but links to those subdirectories yield
> > 'Forbidden' error pages.
> > 
> > Is there a reason why these are not available, or is this accidental?
> 
> A configuration accident as you correctly guessed.
> 
> Indexing was turned off.  They are all readable now.

Thank you.

[...]
> I'm not sure if the license would satisfy DFSG.  It's pretty open as
> these things go.
[...]

I can't see any licence text within the source tarball.  Do you mean
this text:

> "Look at the source files yourself to
> understand any licensing restrictions on their use.  Alteon's license
> may be summarised like this: you may share and develop the firmware,
> but it is only for use with Alteon NIC products."

?

Where is the full version of the licence text that you are summarising?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Aug 2011 04:42:06 GMT) Full text and rfc822 format available.

Bug 517627 cloned as bug 643952. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 01 Oct 2011 02:33:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 517627: 643952 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 01 Oct 2011 02:33:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 01 Oct 2011 02:33:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.26-13. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 01 Oct 2011 02:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-2.6. (Sun, 02 Oct 2011 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 02 Oct 2011 02:57:03 GMT) Full text and rfc822 format available.

Message #61 received at 517627@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jamie Lokier <jamie@shareable.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 517627@bugs.debian.org, Andres Salomon <dilinger@queued.net>, Bill Paul <wpaul@windriver.com>, Jes Sorensen <Jes.Sorensen@redhat.com>, debian-legal@lists.debian.org
Subject: Re: Alteon NIC firmware
Date: Sat, 1 Oct 2011 21:53:42 -0500
(please direct followups to debian-legal@lists.debian.org)
Hi Jamie,

Jamie Lokier wrote:

> Indexing was turned off.  They are all readable now.

Thanks for fixing it.

> The tools etc. were originally collected for a custom firmware
> projects (it was a popular board for that), and I decided to host them
> because Alteon were shutting down, and as a general principle of
> keeping source around.
>
> I'm not sure if the license would satisfy DFSG.  It's pretty open as
> these things go.

Yes, looking over [1] and [2], I'm impressed.  The work was
refreshingly public.

Do I understand correctly that the original Software the license
agreement is talking about is what I can find as

 0c793d90688379bcb135cc1e6f5ea7cad4c2f13e	opendrv.tar.gz
 cbe58dcc0e470f161697b31b4b63e136b244eb6f	openfw.tar.gz

at <http://people.freebsd.org/~wpaul/Alteon/>?  (Thanks, Bill!)
Then my only potential worry re provenance would be files copyrighted
by someone other than Alteon, such as:

	FILE trace.c

	COPYRIGHT (c) Essential Communication Corp. 1995

	FILE timer.c

	COPYRIGHT (c) Essential Communication Corp. 1995

(and likewise for recv.h, proto.h, nic.h, and so on).  Essential
Communication, Corp seems to have been bought by ODS Networks, Inc in
1998[3].  In 2000, ODS Networks started marketing an intrusion
detection system and changed its name to Intrusion.com, Inc, and in
2001 it changed names again to Instrusion, Inc to avoid the .com
bust[4].  In 2002, SBS Technologies bought Essential's copyrights and
employees from Intrusion, Inc[5].  In 2006, GE bought SBS
Technologies[6]; the relevant division of GE seems to be called "GE
Intelligent Platforms".  It's possible someone at GE could clarify
whether Alteon had the right to distribute, modify, and relicense this
code.  Anyway, I suspect it's ok.

Here are the terms from [2] for reference:

| SOFTWARE DRIVER DEVELOPMENT CODE LICENSE AGREEMENT
| AT ABSOLUTELY NO COST, 
| Alteon WebSystems, INC. ("ALTEON"), IS WILLING TO LICENSE 
| THE SOFTWARE DRIVER DEVELOPMENT CODE, 
| INCLUDING ANY SAMPLE FIRMWARE FOR ALTEON NETWORK INTERFACE CARDS 
| AND ADAPTERS INCLUDED THEREIN, AND THE ACCOMPANYING DOCUMENTATION
| (COLLECTIVELY, THE "SOFTWARE") TO YOU 
| ONLY ON THE CONDITION THAT YOU ACCEPT 
| ALL OF THE TERMS IN THIS AGREEMENT.

Well, I accept the terms in this agreement, so that should be fine
as long as those terms will allow distribution through a typical
mirrored software repository.  Reading on:

| 1. LICENSE. Alteon grants you a limited, non-transferable, non-exclusive,
| perpetual license to use, execute and compile the Software solely for
| the purpose of creating, testing and providing software programs
| (herein, the "Authorized Drivers") for use with ALTEON ACEnic adapters
| and ALTEON network cards. You may copy the Software and may publicly
| display the source code of any Authorized Driver in educational
| journals and periodicals; provided that you reproduce all applicable
| copyright and other proprietary notices that are contained within the
| original copy of the Software. You may license the object code of an
| Authorized Driver, including the Software contained therein; provided
| that such Authorized Driver is restricted to use solely with ALTEON
| ACEnic adapters and ALTEON network cards. Except as expressly provided
| for in this Agreement, you may not use, copy, modify, or transfer the
| Software, or any copy thereof, in whole or in part.
|
| 2. OWNERSHIP. The Software is licensed to you for use only under the
| terms of this Agreement, and ALTEON reserves all rights not expressly
| granted to you. You will own any Authorized Drivers created by you,
| subject to ALTEON'S ownership of the underlying Software.
|
| 3. TERM. This Agreement will terminate immediately upon notice to you if
| you materially breach any term or condition of this Agreement. You
| agree upon termination to promptly destroy the Software and all copies
| thereof.
|
| 4. WARRANTY DISCLAIMER. The Software is provided to you on as "AS IS"
| basis. ALTEON AND ITS SUPPLIERS EXPRESSLY DISCLAIM ALL OTHER
| WARRANTIES AND CONDITIONS INCLUDING THE IMPLIED WARRANTIES OR
| CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE
| AND NON-INFRINGEMENT. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN
| BY ALTEON, ITS EMPLOYEES, DISTRIBUTORS, DEALERS, OR AGENTS SHALL
| INCREASE THE SCOPE OF THE ABOVE WARRANTIES OR CREATE ANY NEW
| WARRANTIES. 
|
| 5. LIMITATION OF REMEDIES. REGARDLESS OF WHETHER ANY REMEDY SET FORTH
| HEREIN FAILS OF ITS ESSENTIAL PURPOSE OR OTHERWISE, IN NO EVENT WILL
| ALTEON OR ITS SUPPLIERS BE LIABLE TO YOU OR TO ANY THIRD PARTY FOR ANY
| LOST PROFITS, LOST DATA, INTERRUPTION OF BUSINESS, OR OTHER SPECIAL,
| INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES OF ANY KIND ARISING OUT
| OF THE USE OR INABILITY TO USE THE SOFTWARE OR ANY DATA SUPPLIED
| THEREWITH, OR FROM THE USE OR INABILITY TO USE ANY AUTHORIZED DRIVERS
| DEVELOPED BY YOU, EVEN IF ALTEON HAS BEEN ADVISED OF THE POSSIBILITY
| OF SUCH LOSS OR DAMAGE AND WHETHER OR NOT SUCH LOSS OR DAMAGES ARE
| FORESEEABLE. IN NO EVENT SHALL THE LIABILITY OF ALTEON OR ITS
| SUPPLIERS IN CONNECTION WITH THIS AGREEMENT OR THE SOFTWARE EXCEED
| FIVE HUNDRED DOLLARS ($500.00), REGARDLESS OF THE CAUSE OF ACTION.
|
| 6. GOVERNMENT END USER RIGHTS. The Software is provided with restricted
| rights.
|
|   GOVERNMENT RIGHTS LEGEND
|
|   The Software is a "commercial item" as that term is defined at 48
|   C.F.R. 2.101 (OCT 1995), consisting of "commercial computer software"
|   and "commercial computer software documentation" as such terms are
|   used in 48 C.F.R. 12.212 (SEPT 1995). Consistent with 48 C.F.R. 12.212
|   and 48 C.F.R. 227.7202-1 through 227.7202-4 
|   (JUNE 1995), all U.S. Government End Users acquire the Software 
|   with only those rights set forth herein.
|
| 7. EXPORT LAW. The Software and related technology are subject to U.S.
| export control laws and may be subject to export or import regulations
| in other countries. You agree to strictly comply with all such laws
| and regulations and acknowledge that you have the responsibility to
| obtain such licenses to export, re-export or import as may be
| required. By downloading the Software, you agree to strictly comply
| with all of the United States and other applicable country laws and
| regulations when either exporting or re-exporting or importing this
| software or any underlying information or technology.
|
| 8. GENERAL. This Agreement will be governed by the laws of the State of
| California, without regard to or application of conflicts of law rules
| or principles. If any provision of this Agreement is held to be
| unenforceable, that provision will be removed and the remaining
| provisions will remain in full force. This Agreement is the complete
| and exclusive statement of the agreement between us which supersedes
| any proposal or prior agreement, oral or written, and any other
| communications between us in relation to the subject matter of this
| Agreement. If you have any questions concerning this Agreement, you
| may contact ALTEON by writing to Alteon WebSystems, INC., 50 Great
| Oaks Boulevard, San Jose, California 95119 or by calling (408)
| 360-5500.
| THE SOFTWARE AND ACCOMPANYING DOCUMENTATION ARE PROTECTED BY UNITED
| STATES COPYRIGHT LAW AND INTERNATIONAL TREATY. UNAUTHORIZED
| REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL
| PENALTIES.

The relevant permission is in clause 1:

	You may license the object code of an Authorized Driver,
	including the Software contained therein; provided that such
	Authorized Driver is restricted to use solely with ALTEON
	ACEnic adapters and ALTEON network cards. 

where "Authorized Driver" is defined as

	software programs [...] for use with ALTEON ACEnic adapters
	and ALTEON network cards

If I understand correctly, this means that it is likely that Debian
and FreeBSD mirrors and similar projects can distribute the object
code.  The terms for source code, on the other hand, are earlier in
that clause and unfortunately I don't think they are likely to work
well here.

| BY CLICKING ON THE "ACCEPT" BUTTON YOU ACKNOWLEDGE THAT YOU HAVE READ
| THIS AGREEMENT, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS AND
| CONDITIONS.

Contrary to the conclusion of some in Bug#284221[7], the above
paragraph seems to be about the person downloading the source today,
not the person using the object code tomorrow, and thus not to be too
relevant.

Corrections welcome, of course.  What a mess.

Thanks to all for your work.
Jonathan

[1] http://web.archive.org/web/19991005130408/http://www.alteon.com/support/drivers.html
[2] http://web.archive.org/web/20000711071330/sanjose.alteon.com/license-agree.shtml
[3] http://business.globe24h.com/sec/001/11/111000/0000111819.shtml
[4] http://investing.businessweek.com/research/stocks/snapshot/snapshot_article.asp?ticker=INTZ:US
[5] http://www.sec.gov/Archives/edgar/data/880208/000095013402005596/0000950134-02-005596-index.htm
[6] http://www.ge-ip.com/news-events/detail/488
[7] http://thread.gmane.org/gmane.linux.debian.devel.kernel/5087




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-2.6. (Mon, 03 Oct 2011 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Paul <wpaul@windriver.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 03 Oct 2011 20:12:03 GMT) Full text and rfc822 format available.

Message #66 received at 517627@bugs.debian.org (full text, mbox):

From: Bill Paul <wpaul@windriver.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Jamie Lokier <jamie@shareable.org>, Ben Hutchings <ben@decadent.org.uk>, 517627@bugs.debian.org, Andres Salomon <dilinger@queued.net>, Jes Sorensen <Jes.Sorensen@redhat.com>, debian-legal@lists.debian.org
Subject: Re: Alteon NIC firmware
Date: Mon, 3 Oct 2011 10:45:38 -0700
Of all the gin joints in all the towns in all the world, Jonathan Nieder had 
to walk into mine at 19:53:42 on Saturday 01 October 2011 and say:

> (please direct followups to debian-legal@lists.debian.org)
> Hi Jamie,
> 
> Jamie Lokier wrote:
> > Indexing was turned off.  They are all readable now.
> 
> Thanks for fixing it.
> 
> > The tools etc. were originally collected for a custom firmware
> > projects (it was a popular board for that), and I decided to host them
> > because Alteon were shutting down, and as a general principle of
> > keeping source around.
> > 
> > I'm not sure if the license would satisfy DFSG.  It's pretty open as
> > these things go.
> 
> Yes, looking over [1] and [2], I'm impressed.  The work was
> refreshingly public.
> 
> Do I understand correctly that the original Software the license
> agreement is talking about is what I can find as
> 
>  0c793d90688379bcb135cc1e6f5ea7cad4c2f13e	opendrv.tar.gz
>  cbe58dcc0e470f161697b31b4b63e136b244eb6f	openfw.tar.gz
> 
> at <http://people.freebsd.org/~wpaul/Alteon/>?  (Thanks, Bill!)

Yes, those files (as well as the pcinic.pdf and tigonbk.pdf documents) are 
exactly as I downloaded them from the Alteon web site, 11 years ago (wow -- I 
can't believe it's been that long). I'm the one who clicked "OK" on the 
agreement form to obtain them. Those are the last versions provided by Alteon 
before they ceased to be a going concern: shortly after Broadcom acquired 
them, the openkits web page was shut down. In the time since, Broadcom has 
never said anything to me about the files. I would be very surprised if they 
still cared.

As an aside, I was a bit confused about the ultimate fate of the Alteon Tigon 
intellectual property. For a while, 3Com was selling gigE NICs using the 
"Tigon III" BCM5700 and BCM5701 chips, with a brand on them that said "3Com-
Broadcom Technology Alliance." I don't know if this means that 3Com and 
Broadcom had joint ownership (temporarily or otherwise), or if 3Com just had 
an unusually broad license to use the BCM57xx chips on their cards. Whatever 
the case, the alliance didn't last long.

Anyway, the original files from Alteon came with pre-built object code for the 
Tigon I and Tigon II. They never released the source for the Tigon I, claiming 
it needed to be cleaned up before it would be suitable for public release. The 
Tigon II was much more widely used than the Tigon I though so most people 
didn't really mind. I compiled my own Tigon II images from the source and used 
those in the FreeBSD driver releases. The version currently shipping with 
FreeBSD has some tweaks in it that were added by the maintainer who took 
development of the ti(4) driver after I left the project.

The fw.tar.gz file is a snapshot of my firmware build environment for FreeBSD, 
which includes the openfw source and binaries that I built, along with the 
source and binaries for gcc 2.7.2 and the matching binutils, with the Alteon-
supplied patches applied. The object code that I built was the same as the 
object code included in the download -- I wanted to compile the code myself as 
a sanity check (and to see if I could do it).

There is some question in my mind though as to what exactly constitutes an 
"ALTEON network card." The Tigon II chip pretty much constitutes the entire 
card (generally the only other major component would be some external SRAM). 
The fact that some other vendor marketed the card under their name (e.g. 
Netgear) doesn't change the fact that it's still an Alteon device. I think the 
real intent was to prevent a competing 3rd party chip maker from creating 
their own NIC hardware and using some of the Alteon firmware with it, as 
opposed to using the firmware with genuine Alteon chips on OEMed cards. (It 
was not always obvious that OEMed cards used Alteon hardware because the chip 
was obscured by a heat sink.) That was my interpretation anyway. I figured 
Alteon would make money in any case since they were in the business of selling 
chips, whether directly on their own ACEnic cards or via OEMs.

In any case, I haven't thought about this stuff in years. Like I said, I don't 
think Broadcom is interested or they would have made a fuss over it by now.

-Bill

> Then my only potential worry re provenance would be files copyrighted
> by someone other than Alteon, such as:
> 
> 	FILE trace.c
> 
> 	COPYRIGHT (c) Essential Communication Corp. 1995
> 
> 	FILE timer.c
> 
> 	COPYRIGHT (c) Essential Communication Corp. 1995
> 
> (and likewise for recv.h, proto.h, nic.h, and so on).  Essential
> Communication, Corp seems to have been bought by ODS Networks, Inc in
> 1998[3].  In 2000, ODS Networks started marketing an intrusion
> detection system and changed its name to Intrusion.com, Inc, and in
> 2001 it changed names again to Instrusion, Inc to avoid the .com
> bust[4].  In 2002, SBS Technologies bought Essential's copyrights and
> employees from Intrusion, Inc[5].  In 2006, GE bought SBS
> Technologies[6]; the relevant division of GE seems to be called "GE
> Intelligent Platforms".  It's possible someone at GE could clarify
> whether Alteon had the right to distribute, modify, and relicense this
> code.  Anyway, I suspect it's ok.
> 
> Here are the terms from [2] for reference:
> | SOFTWARE DRIVER DEVELOPMENT CODE LICENSE AGREEMENT
> | AT ABSOLUTELY NO COST,
> | Alteon WebSystems, INC. ("ALTEON"), IS WILLING TO LICENSE
> | THE SOFTWARE DRIVER DEVELOPMENT CODE,
> | INCLUDING ANY SAMPLE FIRMWARE FOR ALTEON NETWORK INTERFACE CARDS
> | AND ADAPTERS INCLUDED THEREIN, AND THE ACCOMPANYING DOCUMENTATION
> | (COLLECTIVELY, THE "SOFTWARE") TO YOU
> | ONLY ON THE CONDITION THAT YOU ACCEPT
> | ALL OF THE TERMS IN THIS AGREEMENT.
> 
> Well, I accept the terms in this agreement, so that should be fine
> as long as those terms will allow distribution through a typical
> 
> mirrored software repository.  Reading on:
> | 1. LICENSE. Alteon grants you a limited, non-transferable, non-exclusive,
> | perpetual license to use, execute and compile the Software solely for
> | the purpose of creating, testing and providing software programs
> | (herein, the "Authorized Drivers") for use with ALTEON ACEnic adapters
> | and ALTEON network cards. You may copy the Software and may publicly
> | display the source code of any Authorized Driver in educational
> | journals and periodicals; provided that you reproduce all applicable
> | copyright and other proprietary notices that are contained within the
> | original copy of the Software. You may license the object code of an
> | Authorized Driver, including the Software contained therein; provided
> | that such Authorized Driver is restricted to use solely with ALTEON
> | ACEnic adapters and ALTEON network cards. Except as expressly provided
> | for in this Agreement, you may not use, copy, modify, or transfer the
> | Software, or any copy thereof, in whole or in part.
> | 
> | 2. OWNERSHIP. The Software is licensed to you for use only under the
> | terms of this Agreement, and ALTEON reserves all rights not expressly
> | granted to you. You will own any Authorized Drivers created by you,
> | subject to ALTEON'S ownership of the underlying Software.
> | 
> | 3. TERM. This Agreement will terminate immediately upon notice to you if
> | you materially breach any term or condition of this Agreement. You
> | agree upon termination to promptly destroy the Software and all copies
> | thereof.
> | 
> | 4. WARRANTY DISCLAIMER. The Software is provided to you on as "AS IS"
> | basis. ALTEON AND ITS SUPPLIERS EXPRESSLY DISCLAIM ALL OTHER
> | WARRANTIES AND CONDITIONS INCLUDING THE IMPLIED WARRANTIES OR
> | CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE
> | AND NON-INFRINGEMENT. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN
> | BY ALTEON, ITS EMPLOYEES, DISTRIBUTORS, DEALERS, OR AGENTS SHALL
> | INCREASE THE SCOPE OF THE ABOVE WARRANTIES OR CREATE ANY NEW
> | WARRANTIES.
> | 
> | 5. LIMITATION OF REMEDIES. REGARDLESS OF WHETHER ANY REMEDY SET FORTH
> | HEREIN FAILS OF ITS ESSENTIAL PURPOSE OR OTHERWISE, IN NO EVENT WILL
> | ALTEON OR ITS SUPPLIERS BE LIABLE TO YOU OR TO ANY THIRD PARTY FOR ANY
> | LOST PROFITS, LOST DATA, INTERRUPTION OF BUSINESS, OR OTHER SPECIAL,
> | INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES OF ANY KIND ARISING OUT
> | OF THE USE OR INABILITY TO USE THE SOFTWARE OR ANY DATA SUPPLIED
> | THEREWITH, OR FROM THE USE OR INABILITY TO USE ANY AUTHORIZED DRIVERS
> | DEVELOPED BY YOU, EVEN IF ALTEON HAS BEEN ADVISED OF THE POSSIBILITY
> | OF SUCH LOSS OR DAMAGE AND WHETHER OR NOT SUCH LOSS OR DAMAGES ARE
> | FORESEEABLE. IN NO EVENT SHALL THE LIABILITY OF ALTEON OR ITS
> | SUPPLIERS IN CONNECTION WITH THIS AGREEMENT OR THE SOFTWARE EXCEED
> | FIVE HUNDRED DOLLARS ($500.00), REGARDLESS OF THE CAUSE OF ACTION.
> | 
> | 6. GOVERNMENT END USER RIGHTS. The Software is provided with restricted
> | rights.
> | 
> |   GOVERNMENT RIGHTS LEGEND
> |   
> |   The Software is a "commercial item" as that term is defined at 48
> |   C.F.R. 2.101 (OCT 1995), consisting of "commercial computer software"
> |   and "commercial computer software documentation" as such terms are
> |   used in 48 C.F.R. 12.212 (SEPT 1995). Consistent with 48 C.F.R. 12.212
> |   and 48 C.F.R. 227.7202-1 through 227.7202-4
> |   (JUNE 1995), all U.S. Government End Users acquire the Software
> |   with only those rights set forth herein.
> | 
> | 7. EXPORT LAW. The Software and related technology are subject to U.S.
> | export control laws and may be subject to export or import regulations
> | in other countries. You agree to strictly comply with all such laws
> | and regulations and acknowledge that you have the responsibility to
> | obtain such licenses to export, re-export or import as may be
> | required. By downloading the Software, you agree to strictly comply
> | with all of the United States and other applicable country laws and
> | regulations when either exporting or re-exporting or importing this
> | software or any underlying information or technology.
> | 
> | 8. GENERAL. This Agreement will be governed by the laws of the State of
> | California, without regard to or application of conflicts of law rules
> | or principles. If any provision of this Agreement is held to be
> | unenforceable, that provision will be removed and the remaining
> | provisions will remain in full force. This Agreement is the complete
> | and exclusive statement of the agreement between us which supersedes
> | any proposal or prior agreement, oral or written, and any other
> | communications between us in relation to the subject matter of this
> | Agreement. If you have any questions concerning this Agreement, you
> | may contact ALTEON by writing to Alteon WebSystems, INC., 50 Great
> | Oaks Boulevard, San Jose, California 95119 or by calling (408)
> | 360-5500.
> | THE SOFTWARE AND ACCOMPANYING DOCUMENTATION ARE PROTECTED BY UNITED
> | STATES COPYRIGHT LAW AND INTERNATIONAL TREATY. UNAUTHORIZED
> | REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL
> | PENALTIES.
> 
> The relevant permission is in clause 1:
> 
> 	You may license the object code of an Authorized Driver,
> 	including the Software contained therein; provided that such
> 	Authorized Driver is restricted to use solely with ALTEON
> 	ACEnic adapters and ALTEON network cards.
> 
> where "Authorized Driver" is defined as
> 
> 	software programs [...] for use with ALTEON ACEnic adapters
> 	and ALTEON network cards
> 
> If I understand correctly, this means that it is likely that Debian
> and FreeBSD mirrors and similar projects can distribute the object
> code.  The terms for source code, on the other hand, are earlier in
> that clause and unfortunately I don't think they are likely to work
> well here.
> 
> | BY CLICKING ON THE "ACCEPT" BUTTON YOU ACKNOWLEDGE THAT YOU HAVE READ
> | THIS AGREEMENT, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS AND
> | CONDITIONS.
> 
> Contrary to the conclusion of some in Bug#284221[7], the above
> paragraph seems to be about the person downloading the source today,
> not the person using the object code tomorrow, and thus not to be too
> relevant.
> 
> Corrections welcome, of course.  What a mess.
> 
> Thanks to all for your work.
> Jonathan
> 
> [1]
> http://web.archive.org/web/19991005130408/http://www.alteon.com/support/dr
> ivers.html [2]
> http://web.archive.org/web/20000711071330/sanjose.alteon.com/license-agree
> .shtml [3] http://business.globe24h.com/sec/001/11/111000/0000111819.shtml
> [4]
> http://investing.businessweek.com/research/stocks/snapshot/snapshot_articl
> e.asp?ticker=INTZ:US [5]
> http://www.sec.gov/Archives/edgar/data/880208/000095013402005596/000095013
> 4-02-005596-index.htm [6] http://www.ge-ip.com/news-events/detail/488
> [7] http://thread.gmane.org/gmane.linux.debian.devel.kernel/5087

-- 
=============================================================================
-Bill Paul            (510) 749-2329 | Member of Technical Staff,
                 wpaul@windriver.com | Master of Unix-Fu - Wind River Systems
=============================================================================
   "I put a dollar in a change machine. Nothing changed." - George Carlin
=============================================================================




Changed Bug title to '[hppa] Acenic driver without firmware triggers HPMC' from 'linux-image-2.6.26-1-parisc64-smp: Acenic driver without firmware triggers HPMC' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Nov 2011 08:36:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#517627; Package linux-2.6. (Thu, 24 Nov 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Nov 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #73 received at 517627@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Jamie Lokier <jamie@shareable.org>, 517627@bugs.debian.org
Subject: Re: Alteon NIC firmware
Date: Thu, 24 Nov 2011 16:48:48 -0600
Hi Ben,

Ben Hutchings wrote:

> I can't see any licence text within the source tarball.
[...]
> Where is the full version of the licence text that you are summarising?

It turns out we are in a funny situation, since the source code was
downloaded under terms that permit relicensing the _binaries_ with
fairly permissive terms.

To quote the source code license[1]:

	You may license the object code of an Authorized Driver,
	including the Software contained therein; provided that such
	Authorized Driver is restricted to use solely with ALTEON
	ACEnic adapters and ALTEON network cards.

I suspect this means that someone who downloaded the source code from
Alteon (like Jamie Lokier or Bill Paul) can simply _make something up_
as long as it includes the restrictions Alteon suggests.  Weird, but
I kind of like it.

To move forward:

 1. Does that look correct to you?
 2. What license terms would you like?  How can we help to get this
    object code into the linux-firmware repository?

Thanks a lot for your help,
Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=66;bug=517627




Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Fri, 05 Jul 2013 14:24:10 GMT) Full text and rfc822 format available.

Notification sent to Thibaut VARENE <varenet@debian.org>:
Bug acknowledged by developer. (Fri, 05 Jul 2013 14:24:10 GMT) Full text and rfc822 format available.

Message #78 received at 517627-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 517627-done@bugs.debian.org
Subject: Re: Alteon NIC firmware
Date: Fri, 5 Jul 2013 16:16:42 +0200
Closing the bug, hppa is no longer supported starting with Squeeze.

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Aug 2013 07:29:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:30:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.